## imcode.server
Interface ImcmsConstants

    public interface ImcmsConstants

Field Summary
`static java.lang.String` `ACCESS_LOG` The access-log, used for keeping track of page hits.
`static int` `DISPATCH_FLAG__DOCINFO_PAGE`
`static int` `DISPATCH_FLAG__DOCUMENT_PERMISSIONS_PAGE`
`static int` `DISPATCH_FLAG__EDIT_FILE_DOCUMENT`
`static int` `DISPATCH_FLAG__EDIT_HTML_DOCUMENT`
`static int` `DISPATCH_FLAG__EDIT_MENU`
`static int` `DISPATCH_FLAG__EDIT_TEXT_DOCUMENT_IMAGES`
`static int` `DISPATCH_FLAG__EDIT_URL_DOCUMENT`
`static int` `DISPATCH_FLAG__PUBLISH`
`static java.lang.String` `MAIN_LOG`
`static int` `PASSWORD_MINIMUM_LENGTH`
`static int` `PERM_EDIT_DOCINFO` Permission to edit all docinfo for a document.
`static int` `PERM_EDIT_DOCUMENT`
`static int` `PERM_EDIT_FILE_DOCUMENT` Permission to change content and mime-type for a file.
`static int` `PERM_EDIT_HEADLINE` Permission to edit the headline, text, and image of a document.
`static int` `PERM_EDIT_HTML_DOCUMENT` Permission to edit a html-document.
`static int` `PERM_EDIT_PERMISSIONS` Permission to set permissions for a document.
`static int` `PERM_EDIT_TEXT_DOCUMENT_GROUPS` Permission to change the includes of a text-document.
`static int` `PERM_EDIT_TEXT_DOCUMENT_IMAGES` Permission to change the images of a text-document.
`static int` `PERM_EDIT_TEXT_DOCUMENT_INCLUDES` Permission to change the includes of a text-document.
`static int` `PERM_EDIT_TEXT_DOCUMENT_MENUS` Permission to change the menus of a text-document.
`static int` `PERM_EDIT_TEXT_DOCUMENT_TEMPLATE` Permission to change the template of a text-document.
`static int` `PERM_EDIT_TEXT_DOCUMENT_TEXTS` Permission to change the texts of a text-document.
`static int` `PERM_EDIT_URL_DOCUMENT` Permission to edit the url of an url-document.
`static int` `PERM_PUBLISH` Permission to publish document.

Field Detail

### PERM_EDIT_HEADLINE

    static final int PERM_EDIT_HEADLINE

  Permission to edit the headline, text, and image of a document.

  See Also:
    Constant Field Values

### PERM_EDIT_DOCINFO

    static final int PERM_EDIT_DOCINFO

  Permission to edit all docinfo for a document.

  See Also:
    Constant Field Values

### PERM_EDIT_PERMISSIONS

    static final int PERM_EDIT_PERMISSIONS

  Permission to set permissions for a document.

  See Also:
    Constant Field Values

### PERM_EDIT_DOCUMENT

    static final int PERM_EDIT_DOCUMENT

See Also:
  Constant Field Values

### PERM_EDIT_URL_DOCUMENT

    static final int PERM_EDIT_URL_DOCUMENT

  Permission to edit the url of an url-document.

  See Also:
    Constant Field Values

### PERM_EDIT_HTML_DOCUMENT

    static final int PERM_EDIT_HTML_DOCUMENT

  Permission to edit a html-document.

  See Also:
    Constant Field Values

### PERM_EDIT_FILE_DOCUMENT

    static final int PERM_EDIT_FILE_DOCUMENT

  Permission to change content and mime-type for a file.

  See Also:
    Constant Field Values

### PERM_EDIT_TEXT_DOCUMENT_TEXTS

    static final int PERM_EDIT_TEXT_DOCUMENT_TEXTS

  Permission to change the texts of a text-document.

  See Also:
    Constant Field Values

### PERM_EDIT_TEXT_DOCUMENT_IMAGES

    static final int PERM_EDIT_TEXT_DOCUMENT_IMAGES

  Permission to change the images of a text-document.

  See Also:
    Constant Field Values

### PERM_EDIT_TEXT_DOCUMENT_MENUS

    static final int PERM_EDIT_TEXT_DOCUMENT_MENUS

  Permission to change the menus of a text-document.

  See Also:
    Constant Field Values

### PERM_EDIT_TEXT_DOCUMENT_TEMPLATE

    static final int PERM_EDIT_TEXT_DOCUMENT_TEMPLATE

  Permission to change the template of a text-document.

  See Also:
    Constant Field Values

### PERM_EDIT_TEXT_DOCUMENT_INCLUDES

    static final int PERM_EDIT_TEXT_DOCUMENT_INCLUDES

  Permission to change the includes of a text-document.

  See Also:
    Constant Field Values

### PERM_EDIT_TEXT_DOCUMENT_GROUPS

    static final int PERM_EDIT_TEXT_DOCUMENT_GROUPS

  Permission to change the includes of a text-document.

  See Also:
    Constant Field Values

### PERM_PUBLISH

    static final int PERM_PUBLISH

  Permission to publish document.

  See Also:
    Constant Field Values

### ACCESS_LOG

    static final java.lang.String ACCESS_LOG

  The access-log, used for keeping track of page hits.

  See Also:
    Constant Field Values

### MAIN_LOG

    static final java.lang.String MAIN_LOG

See Also:
  Constant Field Values

### PASSWORD_MINIMUM_LENGTH

    static final int PASSWORD_MINIMUM_LENGTH

See Also:
  Constant Field Values

### DISPATCH_FLAG__DOCINFO_PAGE

    static final int DISPATCH_FLAG__DOCINFO_PAGE

See Also:
  Constant Field Values

### DISPATCH_FLAG__EDIT_HTML_DOCUMENT

    static final int DISPATCH_FLAG__EDIT_HTML_DOCUMENT

See Also:
  Constant Field Values

### DISPATCH_FLAG__EDIT_URL_DOCUMENT

    static final int DISPATCH_FLAG__EDIT_URL_DOCUMENT

See Also:
  Constant Field Values

### DISPATCH_FLAG__EDIT_FILE_DOCUMENT

    static final int DISPATCH_FLAG__EDIT_FILE_DOCUMENT

See Also:
  Constant Field Values

### DISPATCH_FLAG__EDIT_MENU

    static final int DISPATCH_FLAG__EDIT_MENU

See Also:
  Constant Field Values

### DISPATCH_FLAG__EDIT_TEXT_DOCUMENT_IMAGES

    static final int DISPATCH_FLAG__EDIT_TEXT_DOCUMENT_IMAGES

See Also:
  Constant Field Values

### DISPATCH_FLAG__DOCUMENT_PERMISSIONS_PAGE

    static final int DISPATCH_FLAG__DOCUMENT_PERMISSIONS_PAGE

See Also:
  Constant Field Values

### DISPATCH_FLAG__PUBLISH

    static final int DISPATCH_FLAG__PUBLISH

See Also:
  Constant Field Values